2019-12-12 01:50 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005995Spring engineGeneralpublic2018-10-15 12:38
Reportersilentwings 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionunable to reproduce 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005995: desync with 104.0.1-531 and current ba-test
DescriptionHere's an infolog from a player who desynced on -531.

It contains a tonne of errors, root cause not entirely clear to me so I won't comment. I guess demofiles are not wanted in this case.

Additional InformationChatlog with player, possibly useful info: https://pastebin.com/VRKTQNuB

key points:
(1) first game after dl (via lobby) of new BA test version.
(2) no previous known history of desync.

His lobby version is SpringLobby 0.263 (win x32)

TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019151

silentwings (reporter)

Also added my own infolog, in case useful. No other clients desynced.

~0019152

Kloot (developer)

this can only be content corruption.

the major open question is why CP's (pool) checksums were completely unaffected.

~0019153

silentwings (reporter)

In that case, a silent bug in the auto-dl system seems strongly implicated here.

Anything other useful info that could be provided?

~0019154

Kloot (developer)

maybe, can you ask CP to clone his BA pool and packages folders on google drive if he hasn't already deleted them?

~0019155

silentwings (reporter)

Will try but pool is often 1Gb+ so may be hard for a normal user to upload.

~0019156

silentwings (reporter)

It seems to have been a freak event - he says he didn't re-dl or delete anything, and is now synced again. I got another infolog but I guess pool/pkgs won't be wanted now?

~0019157

Kloot (developer)

no, but I have a bad feeling about this since now the candidate explanations are "drive failure" or "severely broken VFS code".

~0019399

abma (administrator)

very likely fixed by:
https://springrts.com/phpbb/viewtopic.php?t=36760

~0019400

Kloot (developer)

Last edited: 2018-10-15 12:38

View 2 revisions

that bug was fixed in march while this was reported in june. are you sure?

edit: seems legit, no springlobby releases between 0.264 in february and 0.265 in september

+Notes

-Issue History
Date Modified Username Field Change
2018-06-03 12:13 silentwings New Issue
2018-06-03 12:13 silentwings File Added: infolog_[ANL]CreamPie.txt
2018-06-03 12:15 silentwings Note Added: 0019151
2018-06-03 12:16 silentwings File Added: infolog_[Fx]Bluestone.txt
2018-06-03 12:54 Kloot Note Added: 0019152
2018-06-03 13:09 silentwings Note Added: 0019153
2018-06-03 13:29 Kloot Note Added: 0019154
2018-06-03 13:55 silentwings Note Added: 0019155
2018-06-03 15:50 silentwings File Added: infolog_[ANL]CreamPie2.txt
2018-06-03 15:50 silentwings Note Added: 0019156
2018-06-03 16:47 Kloot Note Added: 0019157
2018-10-15 11:34 abma Assigned To => abma
2018-10-15 11:34 abma Status new => resolved
2018-10-15 11:34 abma Resolution open => unable to reproduce
2018-10-15 11:34 abma Note Added: 0019399
2018-10-15 12:34 Kloot Note Added: 0019400
2018-10-15 12:38 Kloot Note Edited: 0019400 View Revisions
+Issue History